<?php

require_once "XmlImageScreen.php";

class XmlImageDataScreen extends XmlImageScreen
{

    public $xw;

    public function __construct()
    {
        parent::__construct('SnomIPPhoneImage');
    }

    public function setData($data, $encoding = 'base64')
    {
        $this->xw->writeElement('Data', $data);
        $this->xw->writeAttribute('encoding', $encoding);
    }
}
